<template>
	<div class="layout">
		<Headbar @toggle="toggle = !toggle" />
		<div class="main-wrapper">
			<SideMenu :toggle="toggle" />
			<Viewer />
		</div>
	</div>
</template>

<script setup>
import { ref } from "@vue/reactivity";
import Headbar from "./components/Headbar.vue";
import SideMenu from "./components/SideMenu.vue";
import Viewer from "./components/Viewer.vue";
import { onMounted, watch } from "vue";
import { useWindowSize } from "@vueuse/core";

const { width } = useWindowSize();
const toggle = ref(false);

watch(width, (newWidth) => {
	if (newWidth < 1200) toggle.value = true;
	else toggle.value = false;
});

onMounted(() => {
	if (width.value < 1200) toggle.value = true;
	else toggle.value = false;
});
</script>

<style lang="postcss" scoped>
.layout {
	@apply flex flex-col h-full;
}

.main-wrapper {
	@apply flex flex-1 overflow-hidden relative;
}
</style>
